package com.itsol.quantrivanphong.manager.employee.repository;

import com.itsol.quantrivanphong.model.Employee;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface EmployeeRepository  extends JpaRepository<Employee,Integer > {
    public Employee findEmployeeByUsername(String username);

    public Employee findEmployeeByEmailAddress(String emailAddress);

    public Employee findEmployeeByUsernameAndPassword(String username, String password);

    Employee findByEmailAddress(String emailAddress);
}
